"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visualDateToDB_1 = require("./visualDateToDB");
const dateShowConverter_1 = require("./dateShowConverter");
const dBDateToVisual_1 = require("./dBDateToVisual");
test("visualDateToDBWorks", () => {
    expect((0, visualDateToDB_1.visualDateToDB)("10/12/2025")).toEqual("20251210");
});
test("ddmmyy Converts rightly", () => {
    const output = (0, dateShowConverter_1.dateShowConverter)("120324");
    expect(output.dataDate).toEqual("20240312");
    expect(output.dispDate).toEqual("12/03/2024");
});
test("Invalid ddmmyy Does not convert", () => {
    const output = (0, dateShowConverter_1.dateShowConverter)("123524");
    expect(output.dataDate).toEqual("123524");
    expect(output.dispDate).toEqual("123524");
});
test("dbDate to Visual Converts Correctly", () => {
    const visualString = (0, dBDateToVisual_1.dbDateToVisual)("20240319");
    expect(visualString).toEqual("19/03/2024");
});
//# sourceMappingURL=dateConversion.test.js.map